# 討論詳情

`GET` `/v1/content/topics/{id}`

根據討論 ID 獲取完整詳情，包含正文（Markdown）、作者信息、關聯標的與標籤、互動數據及詳情頁鏈接。可在 [社區](https://longbridge.com/topics) 查看。

## Parameters

### Path Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `id` | string | Yes | 討論 ID，如 `6993508780031016960` |

## Request Example

```bash
curl --request GET \
  --url 'https://openapi.longbridge.com/v1/content/topics/<id>' \
  --header 'Authorization: Bearer <access_token>'
```

## Response

### Response Properties

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `item` | object | Yes | 討論詳情 |
| `└ id` | string | Yes | 討論 ID |
| `└ title` | string | No | 標題（短帖可能為空） |
| `└ description` | string | No | 純文本摘要 |
| `└ body` | string | No | Markdown 格式正文 |
| `└ topic_type` | string | Yes | 內容類型，`article`（長文）或 `post`（短帖） |
| `└ tickers` | string[] | No | 關聯標的代碼，如 `["AAPL.US", "700.HK"]` |
| `└ hashtags` | string[] | No | 討論標籤名稱列表 |
| `└ images` | object[] | No | 附圖列表 |
| `└ ∟ url` | string | No | 原始圖片 URL |
| `└ ∟ sm` | string | No | 小縮略圖 URL |
| `└ ∟ lg` | string | No | 大縮略圖 URL |
| `└ likes_count` | int32 | No | 點讚數 |
| `└ comments_count` | int32 | No | 回覆數 |
| `└ views_count` | int32 | No | 瀏覽數 |
| `└ shares_count` | int32 | No | 分享數 |
| `└ detail_url` | string | No | 討論詳情頁鏈接 |
| `└ author` | object | No | 作者信息 |
| `└ ∟ member_id` | string | No | 作者 member ID |
| `└ ∟ name` | string | No | 作者暱稱 |
| `└ ∟ avatar` | string | No | 作者頭像 URL |
| `└ created_at` | string | Yes | 創建時間，Unix 時間戳（秒） |
| `└ updated_at` | string | No | 最後更新時間，Unix 時間戳（秒） |

### Response JSON Example

```json
{
  "code": 0,
  "message": "success",
  "data": {
    "item": {
      "id": "6993508780031016960",
      "title": "My Analysis on AAPL",
      "description": "Brief plain-text summary...",
      "body": "**Bullish** on AAPL because...",
      "topic_type": "article",
      "tickers": [
        "AAPL.US"
      ],
      "hashtags": [
        "earnings"
      ],
      "images": [
        {
          "url": "https://cdn.longbridge.com/img/abc.jpg",
          "sm": "https://cdn.longbridge.com/img/abc_sm.jpg",
          "lg": "https://cdn.longbridge.com/img/abc_lg.jpg"
        }
      ],
      "likes_count": 42,
      "comments_count": 7,
      "views_count": 1500,
      "shares_count": 3,
      "detail_url": "https://longbridge.com/topics/6993508780031016960",
      "author": {
        "member_id": "10086",
        "name": "Jane Doe",
        "avatar": "https://example.com/avatar.jpg"
      },
      "created_at": "1742000000",
      "updated_at": "1742001000"
    }
  }
}
```
